All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface SASCatalog

All Superinterfaces:
  CMetadata, DeployedDataPackage, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface SASCatalog

extends DeployedDataPackage

Represents a SAS file that stores many different kinds of information in smaller units called catalog entries. A single SAS catalog can contain several different types of catalog entries.

Attributes of SASCatalog are:

- `SASCatalogName`

Associations of SASCatalog are:

- `Libraries`
- `SASCatalogEntries`

## Usage

To create an instance of this SASCatalog, use the `factory` create methods.
Example: create a SASCatalog with name "SASCatalog_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SASCatalog myObject = (SASCatalog) factory.createComplexMetadataObject(objectStore, "SASCatalog_Object", MetadataObjects.SASCATALOG, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_LIBRARIES_NAME` Constant used for the name of the Libraries association.
`static java.lang.String` | `ASSOCIATION_SASCATALOGENTRIES_NAME` Constant used for the name of the SASCatalogEntries association.
`static java.lang.String` | `ATTRIBUTE_SASCATALOGNAME_NAME` Constant used for the name of the SASCatalogName attribute.

Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage
`ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract AssociationList` | `getLibraries()` Gets the Association list of `Libraries`
`abstract AssociationList` | `getLibraries(boolean fGoToServer)` Gets the Associationlist of `Libraries`
`abstract AssociationList` | `getSASCatalogEntries()` Gets the Association list of `SASCatalogEntries`
`abstract AssociationList` | `getSASCatalogEntries(boolean fGoToServer)` Gets the Associationlist of `SASCatalogEntries`
`abstract java.lang.String` | `getSASCatalogName()` Gets the `String` value of `SASCatalogName`
`abstract int` | `getSASCatalogNameMaxLength()` Gets the maximum length of `SASCatalogName`
`abstract int` | `getSASCatalogNameState()` Gets the Metadata State of `SASCatalogName`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setLibraries(AssociationList list)` Sets the `Libraries` list to be `list`.
`abstract void` | `setLibraries(AssociationList inObjects, int state)` Sets the entire Libraries list to match the passed in AssociationList, sets the state of the Libraries
`abstract void` | `setSASCatalogEntries(AssociationList list)` Sets the `SASCatalogEntries` list to be `list`.
`abstract void` | `setSASCatalogEntries(AssociationList inObjects, int state)` Sets the entire SASCatalogEntries list to match the passed in AssociationList, sets the state of the SASCatalogEntries
`abstract void` | `setSASCatalogName(java.lang.String inSASCatalogName)` Sets the `SASCatalogName` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setSASCatalogName(java.lang.String inSASCatalogName, int state)` Sets the `SASCatalogName` Metadata State.
`abstract void` | `setSASCatalogNameState(int state)` Sets the Metadata State of `SASCatalogName`.

Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage
`getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_SASCATALOGNAME_NAME

    static final java.lang.String ATTRIBUTE_SASCATALOGNAME_NAME

  Constant used for the name of the SASCatalogName attribute.

  SASCatalogName: The name of the catalog.

  See Also:
    Constant Field Values

### ASSOCIATION_LIBRARIES_NAME

    static final java.lang.String ASSOCIATION_LIBRARIES_NAME

  Constant used for the name of the Libraries association.

  Libraries: The libraries that can reference this catalog.

  See Also:
    Constant Field Values

### ASSOCIATION_SASCATALOGENTRIES_NAME

    static final java.lang.String ASSOCIATION_SASCATALOGENTRIES_NAME

  Constant used for the name of the SASCatalogEntries association.

  SASCatalogEntries: *Unknown*

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSASCatalogName

    java.lang.String getSASCatalogName()
                                       throws java.rmi.RemoteException

  Gets the `String` value of `SASCatalogName`

  Returns:
    The `SASCatalogName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSASCatalogNameState

    int getSASCatalogNameState()
                               throws java.rmi.RemoteException

  Gets the Metadata State of `SASCatalogName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSASCatalogNameMaxLength

    int getSASCatalogNameMaxLength()
                                   throws java.rmi.RemoteException

  Gets the maximum length of `SASCatalogName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLibraries

    AssociationList getLibraries()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Association list of `Libraries`

  Returns:
    The AssociationList of `Libraries` which can be of type:
    SASLibrary
    SecuredLibrary
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSASCatalogEntries

    AssociationList getSASCatalogEntries()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Association list of `SASCatalogEntries`

  Returns:
    The AssociationList of `SASCatalogEntries` which can be of type:
    SASCatalogEntry
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLibraries

    AssociationList getLibraries(boolean fGoToServer)
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Associationlist of `Libraries`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Libraries` which can be of type:
    SASLibrary
    SecuredLibrary
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSASCatalogEntries

    AssociationList getSASCatalogEntries(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `SASCatalogEntries`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `SASCatalogEntries` which can be of type:
    SASCatalogEntry
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setSASCatalogName

    void setSASCatalogName(java.lang.String inSASCatalogName)
                           throws java.rmi.RemoteException

  Sets the `SASCatalogName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSASCatalogName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASCatalogName

    void setSASCatalogName(java.lang.String inSASCatalogName,
                           int state)
                           throws java.rmi.RemoteException

  Sets the `SASCatalogName` Metadata State.

  Parameters:
    `inSASCatalogName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASCatalogNameState

    void setSASCatalogNameState(int state)
                                throws java.rmi.RemoteException

  Sets the Metadata State of `SASCatalogName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibraries

    void setLibraries(AssociationList list)
                      throws java.rmi.RemoteException

  Sets the `Libraries` list to be `list`. Objects of which can be of type:
  SASLibrary
  SecuredLibrary

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibraries

    void setLibraries(AssociationList inObjects,
                      int state)
                      throws java.rmi.RemoteException

  Sets the entire Libraries list to match the passed in AssociationList, sets the state of the Libraries

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASCatalogEntries

    void setSASCatalogEntries(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `SASCatalogEntries` list to be `list`. Objects of which can be of type:
  SASCatalogEntry

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASCatalogEntries

    void setSASCatalogEntries(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire SASCatalogEntries list to match the passed in AssociationList, sets the state of the SASCatalogEntries

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.